﻿<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xs="http://www.w3.org/2001/XMLSchema" version="2.0">

  <!-- 
        Feuille de Style pour l'affichage détaillée d'une ligne de train
       
        auteur : Matthias Colin
        version : 1.0 (14/05/2010)
  -->

  <xsl:output method="html" encoding="utf-8" />

  <!-- main template -->
  <xsl:template match="Ligne">
    <html>
      <head>
        <title>Ligne de Train : <xsl:value-of select="@nom" /></title>
      </head>
      <body>
        <h1>Ligne de Train : <xsl:value-of select="@nom" /></h1>
        <xsl:apply-templates />
      </body>
    </html>
  </xsl:template>

  <!-- liste des gares -->
  <xsl:template match="ListeGares">
		<h2>Gares</h2>
		<ul>
		<xsl:for-each select="child::*">
			<xsl:sort select="@nom" order="ascending"/>
			<li><xsl:value-of select="@nom" />
				<xsl:if test="self::GareTerminus"> (terminus)</xsl:if>
			</li>
		</xsl:for-each>
		</ul>
  </xsl:template>

  <!-- liste des TGV et TER -->
  <xsl:template match="ListeTrains">
		<h2>TGV</h2>
		<ul>
		<xsl:for-each select="Train[@type='TGV']">
			<xsl:sort select="xs:time(Depart/@heure)" order="ascending"/>
			<!-- NB: l'ordre lexicographique marche aussi -->
			<li><xsl:apply-templates select="." /></li>
		</xsl:for-each>
		</ul>
		<h2>TER</h2>
		<ul>
		<xsl:for-each select="Train[@type='TER']">
			<xsl:sort select="xs:time(Depart/@heure)" order="ascending"/>
			<li><xsl:apply-templates select="." /></li>
		</xsl:for-each>
		</ul>
  </xsl:template>

  <xsl:template match="Train">
    Train n°<xsl:value-of select="@num" />
    <ul>
      <li>Départ : <xsl:value-of select="Depart/@gare"/> Ã 
         <xsl:value-of select="Depart/@heure"/></li>
      <li>Arrivée : <xsl:value-of select="Destination/@gare"/> Ã 
         <xsl:value-of select="Destination/@heure"/></li>
      <xsl:if test="not(Arret)"><li>Ligne Directe</li></xsl:if>
      <xsl:for-each select="Arret">
        <xsl:sort select="xs:time(@arrivee)"/>
        <li>Arrêt : <xsl:value-of select="@gare"/></li> 
      </xsl:for-each>
    </ul>
  </xsl:template>

</xsl:stylesheet>
